package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 自动替代履历表
 * </p>
 *
 * @author SunH
 * @since 2025-01-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_SUB_HIS")
public class PmSubHisDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    private BigDecimal id;

    /**
     * 板坯号
     */
    private String slabNo;

    /**
     * 替代率
     */
    private BigDecimal subYield;

    /**
     * 利用率
     */
    private BigDecimal relYield;

    /**
     * 处理结果
     */
    private String subResult;

    /**
     * 处理内容
     */
    private String subInfo;

    /**
     * 进程代码
     */
    private String processCode;

    /**
     * 组板方式
     */
    private String formPlateMode;

    /**
     * 内部钢种
     */
    private String stNo;

    /**
     * 厚度
     */
    private BigDecimal slabThick;

    /**
     * 宽度
     */
    private BigDecimal slabWid;

    /**
     * 长度
     */
    private BigDecimal slabLen;

    /**
     * 重量
     */
    private BigDecimal slabWt;

    /**
     * 替代时间
     */
    private Date subTime;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    /**
     * 虚拟板坯号
     */
    private String virtualSlabNo;

    /**
     * 轧件厚
     */
    private BigDecimal rollThk;

    /**
     * 轧件宽
     */
    private BigDecimal rollWid;

    /**
     * 轧件长
     */
    private BigDecimal rollLen;

    /**
     * 头部切舍量
     */
    private BigDecimal headCut;

    /**
     * 尾部切舍量
     */
    private BigDecimal tailCut;

    /**
     * 切边宽度
     */
    private BigDecimal widCut;

    /**
     * 切缝长度
     */
    private BigDecimal slitLen;

    /**
     * 必要板坯长度
     */
    private BigDecimal needSlabLen;

    /**
     * 必要板坯重量
     */
    private BigDecimal needSlabWt;


}
